scrolling_indicator:
  label: Scrolling Indicator
  namespace: Organisms/TM - Scrolling Indicator
  use: '@organisms/tm-sc/scrolling-indicator.twig'
  description: Scrolling Indicator
  libraries:
    - scrolling_indicator_lib:
        js:
          ../behaviors/scrolling-indicator.js: {}
        css:
          component:
            ../styles/scrolling-indicator.css: {}
  fields:
    slides:
      type: pattern
      multi_value_type: items
      label: "Slides"
      preview:
        - id: modern_card
          fields:
            img_url: "https://picsum.photos/560/320?rnd=a1"
            img_alt: "Logo of the Your County Pass"
            title: "2 for 1 offers"
            body: "See everything the city has to offer this summer"
            card_link: "www.train-operator.co.uk"
        - id: modern_card
          fields:
            img_url: "https://picsum.photos/560/320?rnd=a1"
            img_alt: "Logo of the Your County Pass"
            title: "2 for 1 offers"
            body: "See everything the city has to offer this summer"
            card_link: "www.train-operator.co.uk"
        - id: modern_card
          fields:
            img_url: "https://picsum.photos/560/320?rnd=a1"
            img_alt: "Logo of the Your County Pass"
            title: "2 for 1 offers"
            body: "See everything the city has to offer this summer"
            card_link: "www.train-operator.co.uk"
        - id: modern_card
          fields:
            img_url: "https://picsum.photos/560/320?rnd=a1"
            img_alt: "Logo of the Your County Pass"
            title: "2 for 1 offers"
            body: "See everything the city has to offer this summer"
            card_link: "www.train-operator.co.uk"

  settings:
    auto_scroll:
      label: Auto Scroll
      type: boolean
      preview: false
      default_value: false
    swipe_threshold:
      label: Swipe Threshold (px)
      type: number
      preview: 50
      default_value: 50
